leaseUnitCategory resource type

Represents a Lease Unit Category in SOFT4Spaces.

Note

For information about enabling APIs for Business Central see Overview.

 

 

API endpoint

 

API Path
leaseUnitCategory businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/leaseUnitCategories

 

Methods

 

Method Return Type Description
GET leaseUnitCategory leaseUnitCategory Gets a lease unit category object.
DELETE leaseUnitCategory none Deletes a lease unit category object.
POST leaseUnitCategory leaseUnitCategory Creates a lease unit category object.
PATCH leaseUnitCategory leaseUnitCategory Updates a lease unit category object.

 

GET leaseUnitCategory

Description

Retrieves an existing lease unit category record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseUnitCategories

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the lease unit category record.

Example Response

JSON

{
   "id": "f2a46b86-90a3-f011-b41a-7c1e52fbc428",
      "code": "APARTMENTS",
      "description": "Apartments",
      "systemCreatedAt": "2025-10-07T15:16:04.217Z",
      "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68",
      "systemModifiedAt": "2025-10-07T15:16:07.407Z",
      "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68"
}

 

POST customerBrands

Description

Creates a new lease unit category record in Business Central.

HTTP Request

POST

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseUnitCategories

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide a JSON object with lease unit category data.

JSON

{
      "code": "OFFICE",
      "description": "Office" 
}

Response

Returns a 201 Created status code and the created lease unit category object.

Properties

 

Property Type Description
id GUID The unique ID of the lease unit category. Non-editable.
code string The code of the lease unit category.
description string Specifies the description of the lease unit category.
systemCreatedAt datetime The datetime the lease unit category was created. 
systemCreatedBy GUID The ID of the user who created the lease unit category.
systemModifiedAt datetime The last datetime the lease unit category was modified.
systemModifiedBy GUID The ID of the user who modified the lease unit category.

 

JSON Representation

{
      "id": "GUID",
      "code": "string",
      "description": "string",
      "systemCreatedAt": "datetime",
      "systemCreatedBy": "GUID",
      "systemModifiedAt": "datetime",
      "systemModifiedBy": "GUID"
}